summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xsrc/compiler/glsl/tests/optimization-test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/compiler/glsl/tests/optimization-test.sh b/src/compiler/glsl/tests/optimization-test.sh
index ddfa7886b5a..5069235868a 100755
--- a/src/compiler/glsl/tests/optimization-test.sh
+++ b/src/compiler/glsl/tests/optimization-test.sh
@@ -72,6 +72,11 @@ for test in `find . -iname '*.opt_test'`; do
fi
done
+if [ $total -eq 0 ]; then
+ echo "Could not find any tests."
+ exit 1
+fi
+
echo ""
echo "$pass/$total tests returned correct results"
echo ""